/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 新增企业材料信息 POST /api/EnterpriseMaterial/AddEnterpriseMaterial */
export async function addEnterpriseMaterial(
  body: API.AddEnterpriseMaterialInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/EnterpriseMaterial/AddEnterpriseMaterial', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取企业材料信息详情 POST /api/EnterpriseMaterial/GetEnterpriseMaterialDetail */
export async function getEnterpriseMaterialDetail(
  body: API.QueryEnterpriseMaterialDetailInput,
  options?: API.RequestConfig
) {
  return request<API.EnterpriseMaterialDetailOutput>(
    '/api/EnterpriseMaterial/GetEnterpriseMaterialDetail',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 根据用户id和材料类型获取企业材料id GET /api/EnterpriseMaterial/GetEnterpriseMaterialIdByUserId */
export async function getEnterpriseMaterialIdByUserId(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetEnterpriseMaterialIdByUserIdParams,
  options?: API.RequestConfig
) {
  return request<string>('/api/EnterpriseMaterial/GetEnterpriseMaterialIdByUserId', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取企业材料管理分页列表 POST /api/EnterpriseMaterial/GetEnterpriseMaterialManagePage */
export async function getEnterpriseMaterialManagePage(
  body: API.QueryEnterpriseMaterialManageListInput,
  options?: API.RequestConfig
) {
  return request<API.EnterpriseMaterialManageListOutputPageOutput>(
    '/api/EnterpriseMaterial/GetEnterpriseMaterialManagePage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取我的企业四流材料列表 POST /api/EnterpriseMaterial/GetMyEnterpriseMaterialPage */
export async function getMyEnterpriseMaterialPage(
  body: API.PageInput,
  options?: API.RequestConfig
) {
  return request<API.MyEnterpriseMaterialListOutputPageOutput>(
    '/api/EnterpriseMaterial/GetMyEnterpriseMaterialPage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 更新企业材料信息 POST /api/EnterpriseMaterial/UpdateEnterpriseMaterial */
export async function updateEnterpriseMaterial(
  body: API.UpdateEnterpriseMaterialInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/EnterpriseMaterial/UpdateEnterpriseMaterial', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
